use thiserror::Error;

#[derive(Error, Debug)]
pub enum FirLSError {
    #[error("Filter length should be odd. Filter length {0} is even.")]
    EvenFilterLen(usize),
    #[error("Frequency response points should be above 0Hz. {0}Hz is below.")]
    ResponseFreqBelowZero(f32),
    #[error(
        "Frequency response points should be below the nyquist frequency. {0}Hz is above {1}Hz"
    )]
    ResponseFreqAboveNyquist(f32, f32),
}
